%define oname	gst-transcoder

%define api	1.0
%define major	0
%define libname	%mklibname gsttranscoder %{api} %{major}
%define devname	%mklibname gsttranscoder -d
%define girname	%mklibname gsttranscoder-gir %{api}

Name:           gstreamer%{api}-transcoder
Version:        1.10.0
Release:        %mkrel 1
Summary:        GStreamer Transcoding API
Group:          Video/Utilities
License:        LGPLv2+
URL:            https://github.com/pitivi/%{oname}
Source0:        https://github.com/pitivi/%{oname}/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:  locales
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  gstreamer1.0-plugins-base-devel
Provides:	%{oname} = %{version}-%{release}

%description
GStreamer Transcoding API.

%package -n %{libname}
Summary:	Shared libraries for %{oname}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{oname}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{oname}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	GStreamer Transcoding API development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{oname}.

%prep
%setup -qn %{oname}-%{version}

%build
./configure --prefix=%{_prefix}
LC_ALL=UTF-8 %make_build

%install
LC_ALL=UTF-8 %make_install

%files
%license LICENSE
%{_bindir}/%{oname}-%{api}

%files -n %{libname}
%{_libdir}/libgsttranscoder-%{api}.so.%{major}
#plugin
%{_libdir}/gstreamer-%{api}/libgsttranscoderplugin.so

%files -n %{girname}
%{_libdir}/girepository-1.0/GstTranscoder-%{api}.typelib

%files -n %{devname}
%{_includedir}/gstreamer-%{api}/gst/transcoder/
%{_libdir}/libgsttranscoder-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/GstTranscoder-%{api}.gir


%changelog
* Sun Jan 15 2017 wally <wally> 1.10.0-1.mga6
+ Revision: 1081802
- new version 1.10.0

* Wed Oct 05 2016 wally <wally> 1.8.2-1.mga6
+ Revision: 1058986
- imported package gstreamer1.0-transcoder

